Subject: Re: Internet Document / AD Time

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 1 Aug 2018 09:20:19 +0200

>The only way I can see to reduce the AD time requirement is to reduce the
number of documents going through the IESG.

 I think there is another way (not reduce but manage by using resources),
which is the WG chairs and WG participant to do more reviews and comments
and discussions. The AD MUST evaluate performance of the WG per ID. I agree
that AD Time is important but he/she should manage/monitor the WGs Work
Time per adopted draft.

I am sure that the problem is that most drafts are not reviewed well by
WGs, but still the ADs get the hard work to review all drafts per WG while
maybe the WG chair is not doing effort to FORCE the WG to give more TIME of
discussion/review/quality per ID.

Finally, IMHO, our ADs are not using IETF resources/wg-efforts efficiently
to assist in  optimizing work per time,

AB